<?
if (isset($_GET["classe"])) $_POST["classe"] = $_GET["classe"];
if (isset($_GET["nom"])) $_POST["nom"] = $_GET["nom"];
if (isset($_GET["mot_de_passe"])) $_POST["mot_de_passe"] = $_GET["mot_de_passe"];

if(isset($_POST["classe"])){
	if($_POST["classe"] != ""){
	$suite = 0;
		if(isset($_POST["nom"]) || isset($_POST["mot_de_passe"])){
			$retour = mysql_query('SELECT COUNT(*) AS nbre_entrees FROM '.$_POST["classe"].' WHERE name=\''.$_POST["nom"].'\' AND mdp=\''.$_POST["mot_de_passe"].'\'');
			$donnees = mysql_fetch_array($retour);
			if ($donnees['nbre_entrees'] == 0) // L'ip ne se trouve pas dans la table, on va l'ajouter
			{
			$erreur = '<span class="important">L\'identifiant ou le mot de passe sont erronés...</span>';
			}else{
			$suite = 1;
		
		$doss = 0;
		if(isset($folder)){
			if($folder == ''){			
			$work  = '<span class="important">Vous n\'avez pas indiqué le travail que vous souhaitez récupérer...</span>';
			}else{
				$doss = 1;
				
				
				
				$corrige = 0;
$dir = $content_dir.$_POST["classe"].'/'.$_POST["folder"].'/'. $devoir_corrige.'/';

$open = opendir($dir); // On ouvre le répertoire
while ($file = readdir($open)) // Tant qu'il y a des fichiers à lire
{
        if (is_file($dir.$file)) // On vérifie que la valeur est un fichier (pour écarter les sous-dossiers)
        {
			$correction = explode('.',  $file);
			if ($correction[0] == $_POST["nom"].'_'.$_POST["classe"]){   
			echo '<div style="text-align : center;color: green;background: url('.$images.'save.png) no-repeat top center;">
				<br /><br /><h4>La correction du travail sur <i>"'.$folder.'"</i> est disponible !</h4><br /><br /><br />
				Vous pouvez la récupérer en cliquant <a href="'.$dir.$file.'" alt="Télécharger votre corrigé" title"Télécharger votre corrigé">sur ce lien</a>.			
				</div>';
			$corrige = 1;
			}
        }
}
				closedir($open); // Et enfin on ferme le dossier
				
				if ($corrige != '1'){
				echo '<div style="text-align : center;color: red;background: url('.$images.'error.png) no-repeat top center;">
				<br /><br /><h4>La correction du travail sur <i>"'.$folder.'"</i> n\'est pas encore disponilbe !</h4><br /><br /><br />
				Un mail vous sera envoyé automatiquement quand le corrigé sera disponible.				
				</div>';
				}
			}
			
		}
		
		if($doss == 0){
			?>
<form name="devoir" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
Repérez le nom du travail que vous aviez rendu<br /><br />
<select name="folder">
<option value=""></option>

<?
$d = dir($content_dir.$classe."/"); 
while($entry = $d->read()) { 
    if($entry=="." || $entry==".."){
    }else{
print "<option value=\"$entry\">$entry</option>";
    }
} 
$d->close(); 
?>
</select><br />
<? if (isset($work)){echo $work;} ?><br /><br /><br />
<input type="hidden" name="nom" type="text" value="<? echo $nom; ?>"> 	
<input type="hidden" name="mot_de_passe" type="text" value="<? echo $mot_de_passe; ?>"> 	
<input type="hidden" name="classe" type="text" value="<? echo $classe; ?>"> 	
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>			
			
			
			
<?				}
			}
		}
		if($suite == 0){
?>
<form name="devoir" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
Repérez votre nom dans cette liste<br /><br />
<select name="nom">
<option value=""></option>

<?
$requete=mysql_query('select * from '.$classe.' ORDER by nom');
while ($requete2 = mysql_fetch_array($requete) )
		{
		echo '<option value="'.$requete2['name'].'">'.$requete2['nom'].' '.$requete2['prenom'].'</option>';
		}
?>

</select>
<br /><br /><br />


Insérez votre mot de passe<br /><br />
<input type="password" value="motdepasse" name="mot_de_passe" class="form" onfocus="if (this.value=='motdepasse') this.value=''" onblur="if (this.value=='') this.value='motdepasse'" />
<br />
<? if (isset($erreur)){echo $erreur;} ?><br /><br /><br />

<input type="hidden" name="classe" type="text" value="<? echo $classe; ?>"> 	
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>

<?		
}

	
	
	
	
	
	
	}else{
	$classe2 = '<span class="important">Indiquez votre classe !</span>';
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Votre classe :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++) // tant que $i est inferieur au nombre d'éléments du tableau... 
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br>';
if (isset($classe2)){echo $classe2;}
echo'<br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
	}
}else{
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Votre classe :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++) // tant que $i est inferieur au nombre d'éléments du tableau... 
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br><br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
}
?>